---
created: 2020-06-07T11:27:20.000+00:00
source_url: https://www.patreon.com/posts/new-editor-dark-37980343
---

# New editor, editable attachments, dark mode support and more in latest pre-release

The [latest pre-release is now available](https://github.com/laurent22/joplin/releases) and includes 13 bug fixes and 9 various improvements and new features, among others:

**Editable attachments**

Files you attach to a note can now be edited. To do this, click on the attachment or, if it's an image, right-click on it and select open. The file will then be watched by the application and any change you make will be saved to Joplin, and synchronised.

**New Markdown editor**

A new Markdown editor (Code Mirror) is now included with Joplin. For now it is for beta testing only so you need to manually enable it in the options in "Note" => "Use CodeMirror as the code editor". The goal of this new editor is to address several of the issues that have affected the previous Markdown editor and that were either hard or impossible to fix, in particular:

- Support for spell checking. Note that it is not yet implemented in the new editor but it at least can be done now.
- Variable font size. The previous editor would not allow this, which would cause various issues.
- Search within the Markdown text. Previously it was only possible to searched with the note viewer but with this editor it should be possible to search within the Markdown text too.
- Improved support for emojis.
- Improved support for Asian languages and Russian.

If possible, please help test this new editor and [report any issue in the forum](https://discourse.joplinapp.org/)! (or GitHub)

**Manual ordering of notes**

You can now manually order the notes within the notebook. For this to work, make sure you choose "Custom order" in the menu View => Sort Notes by

**Support for system keychain on macOS and Windows**

One of the issues mentioned in the [security audit](https://www.patreon.com/posts/joplin-informal-35719724) was that certain sensitive settings, like Nextcloud or encryption passwords were saved unencrypted in the Joplin profile. This new release will make use of the system keychain when it is available and move the sensitive settings to it. You don't need to do anything to make use of this feature, it is automatically enabled in this release.

Currently this is supported on macOS and Windows. It is disabled of course for the portable version, and is also not currently enabled for Linux due to a build issue and less consistent support than on macOS and Windows.

**Support for system theme**

The app can now auto-detect the system theme and switch to it automatically. This essentially adds support for system "dark mode", which are now common on most operating systems. You may choose a preferred "light" theme and "dark" theme in the option.

![](https://raw.githubusercontent.com/laurent22/joplin/dev/Assets/WebsiteAssets/images/news/20200607-112720_0.png)